Package org.apache.commons.math3.ode

# Class FieldODEStateAndDerivative<T extends RealFieldElement<T>>

java.lang.Object
org.apache.commons.math3.ode.FieldODEState<T>
org.apache.commons.math3.ode.FieldODEStateAndDerivative<T>

Type Parameters:
  `T` - the type of the field elements

public class FieldODEStateAndDerivative<T extends RealFieldElement<T>> extends FieldODEState<T>
Container for time, main and secondary state vectors as well as their derivatives.

Since:
  3.6
See Also:
  - `FirstOrderFieldDifferentialEquations`
  - `FieldSecondaryEquations`
  - `FirstOrderFieldIntegrator`

## Constructor Summary

Constructors
Constructor
Description
`FieldODEStateAndDerivative(T time, T[] state, T[] derivative)`
Simple constructor.
`FieldODEStateAndDerivative(T time, T[] state, T[] derivative, T[][] secondaryState, T[][] secondaryDerivative)`
Simple constructor.

## Method Summary

Modifier and Type
Method
Description
`T[]`
`getDerivative()`
Get derivative of the main state at time.
`T[]`
`getSecondaryDerivative(int index)`
Get derivative of the secondary state at time.

### Methods inherited from class org.apache.commons.math3.ode.FieldODEState

`copy, getNumberOfSecondaryStates, getSecondaryState, getSecondaryStateDimension, getState, getStateDimension, getTime`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FieldODEStateAndDerivative

public FieldODEStateAndDerivative(T time, T[] state, T[] derivative)
Simple constructor.

Calling this constructor is equivalent to call `FieldODEStateAndDerivative(time, state, derivative, null, null)`.

Parameters:
  `time` - time
  `state` - state at time
  `derivative` - derivative of the state at time

### FieldODEStateAndDerivative

public FieldODEStateAndDerivative(T time, T[] state, T[] derivative, T[][] secondaryState, T[][] secondaryDerivative)
Simple constructor.

Parameters:
  `time` - time
  `state` - state at time
  `derivative` - derivative of the state at time
  `secondaryState` - state at time (may be null)
  `secondaryDerivative` - derivative of the state at time (may be null)

## Method Details

### getDerivative

public T[] getDerivative()
Get derivative of the main state at time.

Returns:
  derivative of the main state at time

### getSecondaryDerivative

public T[] getSecondaryDerivative(int index)
Get derivative of the secondary state at time.

Parameters:
  `index` - index of the secondary set as returned by `FieldExpandableODE.addSecondaryEquations(FieldSecondaryEquations)` (beware index 0 corresponds to main state, additional states start at 1)
Returns:
  derivative of the secondary state at time